com.taosdata.jdbc.ws.entity

## Class RequestFactory

- java.lang.Object
- - com.taosdata.jdbc.ws.entity.RequestFactory

    public class RequestFactory
    extends Object

generate id for request

### Method Summary

All Methods Static Methods Concrete Methods
`static Request` `generateFetch(long id, long reqId)`
`static Request` `generateFetchBlock(long id)`
`static Request` `generateQuery(String sql, long reqId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### generateQuery

    public static Request generateQuery(String sql,
                                        long reqId)

#### generateFetch

    public static Request generateFetch(long id,
                                        long reqId)

#### generateFetchBlock

    public static Request generateFetchBlock(long id)